import request from '@/utils/request'

// 查询签约记录列表
export function listSignRecord(query) {
    return request({
        url: '/manage/signRecord/list',
        method: 'get',
        params: query
    })
}

// 查询签约记录详细
export function getSignRecord(id) {
    return request({
        url: '/manage/signRecord/' + id,
        method: 'get'
    })
}

// 新增签约记录
export function addSignRecord(data) {
    return request({
        url: '/manage/signRecord',
        method: 'post',
        data: data
    })
}

// 修改签约记录
export function updateSignRecord(data) {
    return request({
        url: '/manage/signRecord',
        method: 'put',
        data: data
    })
}

// 删除签约记录
export function delSignRecord(id) {
    return request({
        url: '/manage/signRecord/' + id,
        method: 'delete'
    })
}

//解约
export function updateSignStatus(data) {
    return request({
        url: '/manage/signRecord/updateSignStatus',
        method: 'post',
        data: data
    })
}

//服务包list
export function servicepackageinfo(query) {
    return request({
        url: `/manage/servicepackage/getList`,
        method: 'get',
        params: query
    })
}

// 获取服务包基础信息
export function getById(id) {
    return request({
        url: `/manage/servicepackage/getById/${id}`,
        method: 'get',
    })
}
